Subject: Re: [patch 5/6] ps3: BD/DVD/CD-ROM Storage Driver

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 17 Jul 2007 07:49:15 +1000

> No ... that was the point of flush_kernel_dcache_page().  The page in
> question is page cache backed and contains user mappings.  However, the
> block layer has already done a flush_dcache_page() in get_user_pages()
> and the user shouldn't be touching memory under I/O (unless they want
> self induced aliasing problems) so we're free to assume all the user
> cachelines are purged, hence all we have to do is flush the kernel alias
> to bring the page up to date and make the users see it correctly.

The block layer will have done that even in the swap-out path ? (Just
asking... I'm not very familiar with the block layer)

Ben.